#!/usr/bin/gawk -f
#
# fraglets0.17/bin/g2f.awk
#
# converts the one-line-genome representation (used for genetic operations)
# to the multi-line fraglet format (human readable)
#
# Copyright (C) 2002-2005 Christian Tschudin <tschudin@docs.uu.se>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#
# History:
# 20050212: updated by author and lidia.yamamoto@unibas.ch, fraglets v0.17
# 20030806: updated by christian.tschudin@unibas.ch, fraglets v0.16
# 200203??: created by tschudin@docs.uu.se


/^g/ {
	if (a++)
		print "---";
 
	split($0, g, "/");
	for (i = 2; i in g; i++) {
		if (length(g[i])) {
			if (index(g[i], "m") == 1)
				print g[i];
			else
				print "f " g[i];
		}
	}
}

END {
  print "e";
}
