#!/usr/bin/gawk -f
#
# sortsg.awk (from elite.awk)
#
# Copyright (C) 2002-2005 <christian.tschudin@unibas.ch>
#
# This file is distributed under the terms of the GNU general Public
# License (GPL), see the file COPYING
#
# sort genotypes in decreasing order of score
# input has 'g ' (genotype) lines and 's ' (score) lines
#
# the score lines must have been already sorted in decreasing order, and an
# index (second numeric field) indicates the original position (corresponding
# genotype)
#
# History:
# 20050213: created from elite.awk by lidia.yamamoto@unibas.ch


BEGIN {
  scnt = 0;
  gcnt = 0;
}

/^s/ {
  scnt++;
  v[scnt] = $2
  s[scnt] = $3;
}

/^g/ {
  gcnt++;
  g[gcnt] = $0;
}

END {
  for (i = 1; i in s; i++) {
    printf "s %d %d\n", v[i], s[i];
    print g[s[i]];
  }
}
