/* fraglets0.19/src/udphelpers.c

  udp functions used within sockin.c

  Copyright (C) 2005 <Jasenko.Zivanov@stud.unibas.ch>

  This file is distributed under the terms of the GNU general Public
  License (GPL), see the file COPYING

  History:

  20050520  created by Jasenko Zivanov (Unibas) as part of CS221 project
*/


//#define MAX_QUEUE 16

int create_UDP_socket()
{
	int fd = socket(AF_INET, SOCK_DGRAM, 0);
	if (fd < 0) 
	{
		perror("Unable to create UDP socket");
		exit(-1);
	}
	return fd;
}

void set_socket_address( 
	struct sockaddr_in * socket_address, 
	in_addr_t address, int port)
{
	socket_address->sin_family = AF_INET;
	socket_address->sin_port = htons(port);
	socket_address->sin_addr.s_addr = address;
	memset(&(socket_address->sin_zero), '\0', 8);
}

void bind_socket(int socket_fd, struct sockaddr_in* address)
{	
	struct sockaddr* sock_addr = (struct sockaddr *) address;
	
	int result = bind(socket_fd, sock_addr, sockaddr_size);
	if ( result < 0 ) 
	{
    		perror("Error binding socket");
    		exit(-1);
	}
	
	getsockname(socket_fd, sock_addr, &sockaddr_size);
  	printf("Socket successfully bound to port %d\n", ntohs(address->sin_port));
} 

void check_node_and_port(void* n, int port)
{
	if (!n) 
	{
		fprintf(stderr, "unable to create socket for null node\n");
		exit(-1);
	}
	if (!port)
	{
		fprintf(stderr, "unable to create socket at port zero\n");
		exit(-1);
	}
}
